cui = {}
cui.appName = "CleanUI"

local ADDON_VERSION = "1.2"

-- Default UI

function cuivanilla()

-- Show Action Bar Keybind Background
		ZO_ActionBar1KeybindBG:SetAlpha(0)
-- Ability Icon Borders and Backgrounds
        RedirectTexture("esoui/art/actionbar/abilityframe64_down.dds", "esoui/art/actionbar/abilityframe64_down.dds")
        RedirectTexture("esoui/art/actionbar/abilityframe64_up.dds", "esoui/art/actionbar/abilityframe64_up.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_down.dds", "esoui/art/actionbar/passiveabilityframe_round_down.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_empty.dds", "esoui/art/actionbar/passiveabilityframe_round_empty.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_up.dds", "esoui/art/actionbar/passiveabilityframe_round_up.dds")
		RedirectTexture("esoui/art/actionbar/quickslotbg.dds", "esoui/art/actionbar/quickslotbg.dds")
-- Progress Bars
		RedirectTexture("esoui/art/miscellaneous/progressbar_frame.dds", "esoui/art/miscellaneous/progressbar_frame.dds")
-- Tooltips
		RedirectTexture("esoui/art/tooltips/ui-tooltipcenter.dds", "esoui/art/tooltips/ui-tooltipcenter.dds")
		RedirectTexture("esoui/art/tooltips/ui-border.dds", "esoui/art/tooltips/ui-border.dds")
		RedirectTexture("esoui/art/tooltips/ui-border-red.dds", "esoui/art/tooltips/ui-border-red.dds")
-- Dividers
		RedirectTexture("esoui/art/interaction/conversation_verticalborder.dds", "esoui/art/interaction/conversation_verticalborder.dds")
		RedirectTexture("esoui/art/miscellaneous/horizontaldivider.dds", "esoui/art/miscellaneous/horizontaldivider.dds")
		RedirectTexture("esoui/art/miscellaneous/horizontaldividerred.dds", "esoui/art/miscellaneous/horizontaldividerred.dds")
		RedirectTexture("esoui/art/characterwindow/characterwindow_leftside_divider.dds", "esoui/art/characterwindow/characterwindow_leftside_divider.dds")
		RedirectTexture("esoui/art/charactercreate/windowdivider.dds", "esoui/art/charactercreate/windowdivider.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_topdivider.dds", "esoui/art/miscellaneous/centerscreen_topdivider.dds")
		RedirectTexture("esoui/art/miscellaneous/wide_divider_left.dds", "esoui/art/miscellaneous/wide_divider_left.dds")
		RedirectTexture("esoui/art/miscellaneous/wide_divider_right.dds", "esoui/art/miscellaneous/wide_divider_right.dds")
		RedirectTexture("esoui/art/campaign/campaignbrowser_divider_short.dds", "esoui/art/campaign/campaignbrowser_divider_short.dds")
		RedirectTexture("esoui/art/campaign/campaignbrowser_listdivider_left.dds", "esoui/art/campaign/campaignbrowser_listdivider_left.dds")
		RedirectTexture("esoui/art/campaign/campaignbrowser_listdivider_right.dds", "esoui/art/campaign/campaignbrowser_listdivider_right.dds")
		RedirectTexture("esoui/art/loot/loot_topdivider.dds", "esoui/art/loot/loot_topdivider.dds")
		RedirectTexture("esoui/art/guild/sectiondivider_left.dds", "esoui/art/guild/sectiondivider_left.dds")
		RedirectTexture("esoui/art/guild/sectiondivider_right.dds", "esoui/art/guild/sectiondivider_left.dds")
		RedirectTexture("esoui/art/quest/questjournal_divider.dds", "esoui/art/quest/questjournal_divider.dds")
		RedirectTexture("esoui/art/campaign/leaderboard_meddivider_left.dds", "esoui/art/campaign/leaderboard_meddivider_left.dds")
		RedirectTexture("esoui/art/campaign/leaderboard_meddivider_right.dds", "esoui/art/campaign/leaderboard_meddivider_right.dds")
		RedirectTexture("esoui/art/tradinghouse/tradinghouse_divider_short.dds", "esoui/art/tradinghouse/tradinghouse_divider_short.dds")
		RedirectTexture("esoui/art/miscellaneous/horizontaldivider_dynamic.dds", "esoui/art/miscellaneous/horizontaldivider_dynamic.dds")
		RedirectTexture("esoui/art/login/login_divider.dds", "esoui/art/login/login_divider.dds")
-- List Item Highlight
		RedirectTexture("esoui/art/miscellaneous/listitem_highlight.dds", "esoui/art/miscellaneous/listitem_highlight.dds")
		RedirectTexture("esoui/art/miscellaneous/listitem_selectedhighlight.dds", "esoui/art/miscellaneous/listitem_selectedhighlight.dds")
-- Miscellaneous Splatter Effects
		RedirectTexture("esoui/art/miscellaneous/centerscreen_indexarea_left.dds", "esoui/art/miscellaneous/centerscreen_indexarea_left.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_indexarea_right.dds", "esoui/art/miscellaneous/centerscreen_indexarea_right.dds")	
		RedirectTexture("esoui/art/tooltips/munge_overlay.dds", "esoui/art/tooltips/munge_overlay.dds")	
-- Compass
		RedirectTexture("esoui/art/compass/compass.dds", "esoui/art/compass/compass.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_assisted_endcap.dds", "esoui/art/compass/area2frameanim_assisted_endcap.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_standard_endcap.dds", "esoui/art/compass/area2frameanim_standard_endcap.dds")
		RedirectTexture("esoui/art/compass/areapin2frame_ends.dds", "esoui/art/compass/areapin2frame_ends.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_assisted_center.dds", "esoui/art/compass/area2frameanim_assisted_center.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_standard_center.dds", "esoui/art/compass/area2frameanim_standard_center.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_centers.dds", "esoui/art/compass/area2frameanim_centers.dds")
-- Status Bars in Skill Window
		RedirectTexture("esoui/art/stats/stats_magickabar.dds", "esoui/art/stats/stats_magickabar.dds")
		RedirectTexture("esoui/art/stats/stats_staminabar.dds", "esoui/art/stats/stats_staminabar.dds")
		RedirectTexture("esoui/art/stats/stats_healthbar.dds", "esoui/art/stats/stats_healthbar.dds")
-- Player Attribute Bars
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_frame.dds", "esoui/art/unitattributevisualizer/attributebar_dynamic_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_bg.dds", "esoui/art/unitattributevisualizer/attributebar_dynamic_bg.dds")		
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_frame.dds", "esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_bg.dds", "esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_fill_gloss.dds", "esoui/art/unitattributevisualizer/attributebar_dynamic_fill_gloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_leadingedge_gloss.dds", "esoui/art/unitattributevisualizer/attributebar_dynamic_leadingedge_gloss.dds")
-- Small Player Mount Bar Etc.
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_frame.dds", "esoui/art/unitattributevisualizer/attributebar_small_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_base.dds", "esoui/art/unitattributevisualizer/attributebar_small_base.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_center_gloss.dds", "esoui/art/unitattributevisualizer/attributebar_small_fill_center_gloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_leadingedge_gloss.dds", "esoui/art/unitattributevisualizer/attributebar_small_fill_leadingedge_gloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_frame_center.dds", "soui/art/unitattributevisualizer/attributebar_small_frame_center.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_base_center.dds", "esoui/art/unitattributevisualizer/attributebar_small_base_center.dds")
-- Target Frames
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_frame.dds", "esoui/art/unitattributevisualizer/targetbar_dynamic_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_bg.dds", "esoui/art/unitattributevisualizer/targetbar_dynamic_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_increasedarmor_frame.dds", "esoui/art/unitattributevisualizer/targetbar_dynamic_increasedarmor_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_increasedarmor_bg.dds", "esoui/art/unitattributevisualizer/targetbar_dynamic_increasedarmor_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_fill_gloss.dds", "esoui/art/unitattributevisualizer/targetbar_dynamic_fill_gloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_leadingedge_gloss.dds", "esoui/art/unitattributevisualizer/targetbar_dynamic_leadingedge_gloss.dds")
		
	end

-- Clean UI
	
function cuiclean()

-- Hide Action Bar Keybind Background
		ZO_ActionBar1KeybindBG:SetAlpha(0)
-- Ability Icon Borders and Backgrounds
        RedirectTexture("esoui/art/actionbar/abilityframe64_down.dds", "CleanUI/media/cleanabilityframe_down.dds")
        RedirectTexture("esoui/art/actionbar/abilityframe64_up.dds", "CleanUI/media/cleanabilityframe_up.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_down.dds", "CleanUI/media/cleanpassiveabilityframe_down.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_empty.dds", "CleanUI/media/cleanpassiveabilityframe_empty.dds")
		RedirectTexture("esoui/art/actionbar/passiveabilityframe_round_up.dds", "CleanUI/media/cleanpassiveabilityframe_up.dds")
		RedirectTexture("esoui/art/actionbar/quickslotbg.dds", "CleanUI/media/cleanquickslotbg.dds")
-- Progress Bars
		RedirectTexture("esoui/art/miscellaneous/progressbar_frame.dds", "CleanUI/media/cleanprogressbar.dds")
-- Tooltips
		RedirectTexture("esoui/art/tooltips/ui-tooltipcenter.dds", "CleanUI/media/cleantooltip_bg.dds")
		RedirectTexture("esoui/art/tooltips/ui-border.dds", "CleanUI/media/cleantooltipborder.dds")
		RedirectTexture("esoui/art/tooltips/ui-border-red.dds", "CleanUI/media/cleantooltipborder_red.dds")
-- Dividers
		RedirectTexture("esoui/art/interaction/conversation_verticalborder.dds", "CleanUI/media/cleanconversationdivider.dds")
		RedirectTexture("esoui/art/miscellaneous/horizontaldivider.dds", "CleanUI/media/cleanhorizontaldivider.dds")
		RedirectTexture("esoui/art/miscellaneous/horizontaldividerred.dds", "CleanUI/media/cleanhorizontaldivider_red.dds")
		RedirectTexture("esoui/art/characterwindow/characterwindow_leftside_divider.dds", "CleanUI/media/cleancharacterwindow_leftside_divider.dds")
		RedirectTexture("esoui/art/charactercreate/windowdivider.dds", "CleanUI/media/cleanwindowdivider.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_topdivider.dds", "CleanUI/media/cleancenterscreen_topdivider.dds")
		RedirectTexture("esoui/art/miscellaneous/wide_divider_left.dds", "CleanUI/media/cleanwidedivider_left.dds")
		RedirectTexture("esoui/art/miscellaneous/wide_divider_right.dds", "CleanUI/media/clean_blank.dds")
		RedirectTexture("esoui/art/campaign/campaignbrowser_divider_short.dds", "CleanUI/media/cleancampaign_dividershort.dds")
		RedirectTexture("esoui/art/campaign/campaignbrowser_listdivider_left.dds", "CleanUI/media/cleancampaign_dividerleft.dds")
		RedirectTexture("esoui/art/campaign/campaignbrowser_listdivider_right.dds", "CleanUI/media/cleancampaign_dividerright.dds")
		RedirectTexture("esoui/art/loot/loot_topdivider.dds", "CleanUI/media/cleanlootdivider.dds")
		RedirectTexture("esoui/art/guild/sectiondivider_left.dds", "CleanUI/media/cleanguilddivider_left.dds")
		RedirectTexture("esoui/art/guild/sectiondivider_right.dds", "CleanUI/media/cleanguilddivider_right.dds")
		RedirectTexture("esoui/art/quest/questjournal_divider.dds", "CleanUI/media/cleanquestdivider.dds")
		RedirectTexture("esoui/art/campaign/leaderboard_meddivider_left.dds", "CleanUI/media/cleanleaderboarddivider_left.dds")
		RedirectTexture("esoui/art/campaign/leaderboard_meddivider_right.dds", "CleanUI/media/cleanleaderboarddivider_right.dds")
		RedirectTexture("esoui/art/tradinghouse/tradinghouse_divider_short.dds", "CleanUI/media/cleantradingdivider.dds")
		RedirectTexture("esoui/art/miscellaneous/horizontaldivider_dynamic.dds", "CleanUI/media/cleanhorizontaldivider_dynamic.dds")
		RedirectTexture("esoui/art/login/login_divider.dds", "CleanUI/media/cleanlogin_divider.dds")
-- List Item Highlight
		RedirectTexture("esoui/art/miscellaneous/listitem_highlight.dds", "CleanUI/media/cleanitem_highlight.dds")
		RedirectTexture("esoui/art/miscellaneous/listitem_selectedhighlight.dds", "CleanUI/media/cleanitem_highlight.dds")
-- Miscellaneous Splatter Effects
		RedirectTexture("esoui/art/miscellaneous/centerscreen_indexarea_left.dds", "CleanUI/media/clean_blank.dds")
		RedirectTexture("esoui/art/miscellaneous/centerscreen_indexarea_right.dds", "CleanUI/media/clean_blank.dds")	
		RedirectTexture("esoui/art/tooltips/munge_overlay.dds", "CleanUI/media/clean_blank.dds")
-- Compass
		RedirectTexture("esoui/art/compass/compass.dds", "CleanUI/media/cleancompass.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_assisted_endcap.dds", "CleanUI/media/cleancompass_endcap.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_standard_endcap.dds", "CleanUI/media/cleancompass_endcap.dds")
		RedirectTexture("esoui/art/compass/areapin2frame_ends.dds", "CleanUI/media/cleancompass_endcap.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_assisted_center.dds", "CleanUI/media/cleancompass_center.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_standard_center.dds", "CleanUI/media/cleancompass_center.dds")
		RedirectTexture("esoui/art/compass/area2frameanim_centers.dds", "CleanUI/media/cleancompass_center.dds")
-- Status Bars in Skill Window
		RedirectTexture("esoui/art/stats/stats_magickabar.dds", "CleanUI/media/cleanstats_magicka.dds")
		RedirectTexture("esoui/art/stats/stats_staminabar.dds", "CleanUI/media/cleanstats_stamina.dds")
		RedirectTexture("esoui/art/stats/stats_healthbar.dds", "CleanUI/media/cleanstats_health.dds")
-- Player Attribute Bars
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_frame.dds", "CleanUI/media/cleandynamic_attribute_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_bg.dds", "CleanUI/media/cleandynamic_attribute_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_frame.dds", "CleanUI/media/cleandynamic_increasedarmor_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_increasedarmor_bg.dds", "CleanUI/media/cleandynamic_increasedarmor_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_fill_gloss.dds", "CleanUI/media/clean_blankgloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_dynamic_leadingedge_gloss.dds", "CleanUI/media/clean_blankgloss_edge.dds")
-- Small Player Mount Bar Etc.
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_frame.dds", "CleanUI/media/cleansmall_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_base.dds", "CleanUI/media/cleansmall_base.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_center_gloss.dds", "CleanUI/media/cleansmall_fill_gloss_blank.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_fill_leadingedge_gloss.dds", "CleanUI/media/cleansmall_fill_gloss_edge_blank.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_frame_center.dds", "CleanUI/media/cleansmall_frame_center.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/attributebar_small_base_center.dds", "CleanUI/media/cleansmall_base_center.dds")
-- Target Frames
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_frame.dds", "CleanUI/media/cleantarget_dynamic_frame.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_bg.dds", "CleanUI/media/cleantarget_dynamic_bg.dds")
--		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_increasedarmor_frame.dds", "CleanUI/media/cleantarget_increasedarmor_frame.dds")
--		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_increasedarmor_bg.dds", "CleanUI/media/cleantarget_increasedarmor_bg.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_fill_gloss.dds", "CleanUI/media/clean_blankgloss.dds")
		RedirectTexture("esoui/art/unitattributevisualizer/targetbar_dynamic_leadingedge_gloss.dds", "CleanUI/media/clean_blankgloss_edge.dds")
		
	end
	
-- Variables and Default Settings
	
function OnAddOnLoaded(eventCode, addOnName)
    if addOnName ~= cui.appName then return end
	
	local defaults = {
		Icon = "Clean UI"
	}

    cui.SV = ZO_SavedVars:NewAccountWide("CleanUI_SavedVariables", ADDON_VERSION, defaults, nil)
	
	if cui.SV.Icon == "Default UI" then
		cuivanilla()
	elseif cui.SV.Icon == "Clean UI" then
		cuiclean()
	end
	
	cui:initLAM()
	
end
  
EVENT_MANAGER:RegisterForEvent(cui.appName, EVENT_ADD_ON_LOADED, OnAddOnLoaded)